# This file created by conda-build 3.21.4
# ------------------------------------------------

package:
  name: gxx_impl_linux-64
  version: 9.4.0
source:
  - patches:
      - patches/0021-Hardcode-HAVE_ALIGNED_ALLOC-1-in-libstdc-v3-configur.patch
    sha256: 07ea650894cde75ab0f7cfbee0e69832c8a789b01efa2de3bfba7569338e24cb
    url: https://ftp.gnu.org/gnu/gcc/gcc-9.4.0/gcc-9.4.0.tar.gz
build:
  binary_relocation:
    - bin/*
    - lib/*.so
    - libexec/**/*.so*
    - libexec/**/cc1*
  detect_binary_files_with_prefix: false
  ignore_run_exports:
    - __glibc
  missing_dso_whitelist:
    - '*'
  number: 8
  string: h03d3576_8
requirements:
  build:
    - binutils_impl_linux-64 2.36.1 h193b22a_2
    - gcc_bootstrap_linux-64 9.4.0 h27a28a5_0
    - kernel-headers_linux-64 2.6.32 he073ed8_14
    - ld_impl_linux-64 2.36.1 hea4e1c9_2
    - sysroot_linux-64 2.12 he073ed8_14
  host:
    - gcc_impl_linux-64 9.4.0 h03d3576_8
    - kernel-headers_linux-64 2.6.32 he073ed8_14
    - sysroot_linux-64 2.12 he073ed8_14
  run:
    - gcc_impl_linux-64 9.4.0 h03d3576_8
    - libstdcxx-devel_linux-64 9.4.0 hd854feb_8
    - sysroot_linux-64
test:
  commands:
    - test -f ${PREFIX}/bin/x86_64-conda_cos6-linux-gnu-g++
    - test -f ${PREFIX}/bin/x86_64-conda-linux-gnu-g++
    - CXX=$(${PREFIX}/bin/*-gcc -dumpmachine)-g++
    - ${CXX} -Wall tests/aligned_alloc.cpp -c -o cpp_aligned.o --std=c++17
    - ${CXX} -Wall cpp_aligned.o -o cpp_aligned --std=c++17 && ./cpp_aligned
  files:
    - tests
  requires:
    - sysroot_linux-64 2.12.*
about:
  home: https://gcc.gnu.org/
  license: GPL-3.0-only WITH GCC-exception-3.1
  summary: GNU C++ Compiler
extra:
  copy_test_source_files: true
  final: true
  recipe-maintainers:
    - beckermr
    - isuruf
